
Figure - 需求 Requirement #117327
【DVT1】【BSP】【MCU】MCU端添加上下电log
2023-04-04 17:24 - CD BSP-杜磊

Status: New Start date: 2023-04-04

Priority: High Due date: 2023-04-21

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VC1_FSE_0094_20230425

Description

1. MUC端记录上下电log

2. MPU端接收并解析MCU log并输出到系统日志

MCU log方案架构设计：

https://thundersoft.feishu.cn/docx/MbvJdtKTAo2G7xxH2tEcsmz1nEg

History

#1 - 2023-04-04 17:25 - CD BSP-杜磊

- Description updated

#2 - 2023-04-20 19:19 - BSP组-RD3_TSCD 贾顺旺

经查询文档，fcl库用于code flash（写寿命1000次）的操作，fdl库用于data flash（写寿命125k次）的操作；

应该使用fdl库实现cnt log的存储，已联系FAE索要到fdl库，正在进行data flash读写接口的封装和调试；

#3 - 2023-04-23 12:34 - BSP组-RD3_TSCD 贾顺旺

fdl库封装完成；

fdl库调试：调用fdl库接口，导致程序reset，咨询FAE协助解决中。

#4 - 2023-04-23 19:41 - BSP组-RD3_TSCD 贾顺旺

fae给了新的fdl代码，重新封装后，初始化、擦除、写入、读取功能正常；

#5 - 2023-04-25 11:46 - BSP组-RD3_TSCD 贾顺旺

代码编写完成。

下一步：

1）改写服务器编译脚本，使用服务器编译验证；

2）与MPU侧程序联调；

#6 - 2023-04-26 19:56 - BSP组-RD3_TSCD 贾顺旺

1)联调完成，编译MCU bin VB版本：http://jenkins.thundercomm.com/view/Figure/job/VB_MCU/174/

2)待和MPU一起编译QFILE VB版本进行验证，编译QFile VB版本时：

  a）请勾选ENTER_BP_CODE

  b) MCU_PATH:20230426/174/
https://thundersoft.feishu.cn/docx/MbvJdtKTAo2G7xxH2tEcsmz1nEg
http://jenkins.thundercomm.com/view/Figure/job/VB_MCU/174/


#7 - 2023-04-27 19:10 - BSP组-RD3_TSCD 贾顺旺

1，修正：内核不启动是，快速开关门次数加一bug。

MCU bin VB版本：http://jenkins.thundercomm.com/view/Figure/job/VB_MCU/176/

2) 与MPU侧程序一起编译QFile VB版本时，需如下操作：

a）请勾选ENTER_BP_CODE

b) MCU_PATH:20230427/176/

#8 - 2023-04-27 21:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

196925 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

SYSTEM:MPU poweronoff count logadd MPU count analysis logicTC-RID: 1201-0102704IssueID: TS-R-DF-117327Change-Id:

I3a2450adad3b5863ccead87b714a3344742d5e3b

#9 - 2023-04-27 21:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

196107 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

shunwang.jia@thundersoft.com

BSP:MCU: poweronoff count logadd poweronoff count log:1. add FDL lib to operate data flash;2. record power event count;3. add poweronoff count log uart

transmission;Bin version: V0.1.5TC-RID: 1201-0102704IssueID: TS-R-DF-117327Change-Id: Id6a3ad40b0d5dca03bce3b6c2172f49d739d0ae3

#10 - 2023-04-27 23:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

196954 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com
BSP:MCU: poweronoff count logadd poweronoff count log:1. add FDL lib to operate data flash;2. record power event count;3. add poweronoff count log uart

transmission;Bin version: V0.1.5TC-RID: 1201-0102704IssueID: TS-R-DF-117327Change-Id: I8f31e06fdca6195889bbc10d6fbae04f55c99882

#11 - 2023-05-16 11:22 - BSP组-RD3_TSCD 贾顺旺

- % Done changed from 0 to 100

#12 - 2023-05-16 11:40 - BSP组-RD3_TSCD 贾顺旺

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to 移动测试一组_CDTS 刘强
